Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4519 - pam-0.68-1 /lib/security/pam_unix.so undefined sym yperr_string
Summary: pam-0.68-1 /lib/security/pam_unix.so undefined sym yperr_string
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: pam
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-14 09:20 UTC by dunwoody
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-27 23:15:47 UTC


Attachments (Terms of Use)

Description dunwoody 1999-08-14 09:20:13 UTC
In pam-0.68-1, /lib/security/pam_unix.so references
the symbol yperr_string, which leads to messages like
the following in /var/log/messages:

Aug 14 01:24:34 dunwoody1 su: PAM unable to
dlopen(/lib/security/pam_unix_acct.so)
Aug 14 01:24:34 dunwoody1 su: PAM [dlerror:
/lib/security/pam_unix_acct.so: undefined symbol:
yperr_string]
Aug 14 01:24:34 dunwoody1 su: PAM adding faulty module:
/lib/security/pam_unix_acct.so

I'm wondering if perhaps there is a new dependency from pam
to some other package that I don't happen to have installed,
and the pam-0.68-1 rpm doesn't enforce that dependency?

Comment 1 Cristian Gafton 1999-08-27 23:15:59 UTC
Fixed in pam-0.68-3 and later


Note You need to log in before you can comment on or make changes to this bug.